Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class FixObjectFactory

    java.lang.Object
      com.fxcm.fix.FixObjectFactory

    public class FixObjectFactory

extends Object

Fix Object Factory defines static methods required to manipulate with fix objects.

Constructor Summary
`FixObjectFactory()`

Method Summary
`static long` | `getMessageChannel(String aMessageType)` Returns the message channel for the given message type
`static com.fxcm.entity.ICode` | `getObjectType(IMessage aMsg)` Extracts object type from given message.
`static boolean` | `isMsgReceiveOn(long aMsgFlags, long aMsgCode)` Returns a boolean value if the message receive is on
`static ITransportable` | `toObject(IMessage aMsg)` Creates fix object based on given message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixObjectFactory

    public FixObjectFactory()

Method Detail

### toObject

    public static ITransportable toObject(IMessage aMsg)

  Creates fix object based on given message.
  Note: Will be `null` in case of fix class not found.

  Parameters:
    `aMsg` - Message to derive entity state from.
  Returns:
    New entity object instance.

### getObjectType

    public static com.fxcm.entity.ICode getObjectType(IMessage aMsg)

  Extracts object type from given message.
  Note: Will be `null` in case of fix class not found.

  Parameters:
    `aMsg` - Message to derive entity state from.
  Returns:
    Entity object type.

### isMsgReceiveOn

    public static boolean isMsgReceiveOn(long aMsgFlags,
                                         long aMsgCode)

  Returns a boolean value if the message receive is on

  Parameters:
    `aMsgFlags` - MsgFlags
    `aMsgCode` - MsgCode
  Returns:
    on/off

### getMessageChannel

    public static long getMessageChannel(String aMessageType)

  Returns the message channel for the given message type

  Parameters:
    `aMessageType` - MessageType
  Returns:
    channel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.